Subject: Re: Building cygwin1.dll and mknetrel
From: Nicholas Wourms <[email-masked]>
To: egor duda <[email-masked]>
Cc: [email-masked]
Date: Tue, 4 Jun 2002 04:42:00 -0700 (PDT)

Egor,

Thanks for the utils, very helpful indeed!  Perhaps Charles should add
them to Cygutils since, ATM, they don't fit anywhere else but do serve a
useful purpose?

Cheers,
Nicholas
--- egor duda <[email-masked]> wrote:
> Hi!
> 
> Tuesday, 04 June, 2002 Christopher Faylor [email-masked] wrote:
> 
> >>       *       On my production system, I had to change the
> '#!/bin/sh' to
> >>               '#!/bin/bash' on one of the mknetrel shell scripts
> >>               to get the shell to accept the usage of getopts ... but
> on the
> >>               fresh install, I did not.  (This is the bash getopts
> builtin,
> >>               not the standalone and singular 'getopt' discussed
> above)
> 
> CF> Yes, I have never run this under cygwin, actually.  It was intended
> as a
> CF> cross-compilation environment.  I'm surprised that it works on
> cygwin
> CF> with so few changes.
> 
> I'm running it on cygwin. All i need is to build getopt.exe and
> readlink.exe from two attached source files. readlink.c is taken from
> OpenBSD cvs, and getopt.c is slightly patched version of getopt.c from
> linux-utils. They both can be built out-of-the-box.
> 
> Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

> ATTACHMENT part 2 application/octet-stream name=readlink.c

> ATTACHMENT part 3 application/octet-stream name=getopt.c
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/